<?php
// required headers
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
  
// database connection will be here
// include database and object files
include_once '../config/database.php';
include_once '../sessions/sessions.php';
  
// instantiate database and product object
$database = new Database();
$db = $database->getConnection();
  
// initialize object
$sessions = new Sessions($db);

$request_method=$_SERVER["REQUEST_METHOD"];

// get posted data
$data = json_decode(file_get_contents("php://input"));

switch($request_method)
{
    case 'PATCH':
        // make sure data is not empty
        if(!empty($data)){
            
            $result = $sessions->updateExcludedDates($data);
            
            if($result){
                // set response code - 200 OK
                http_response_code(200);
                // show products data in json format
                echo json_encode(array("message" => "Excluded Dates Added Successfully"));
            }else{
                // set response code - 404 Not found
                http_response_code(404);
                // tell the user no result found
                echo json_encode(array("message" => "Excluded Dates Added Failed"));
            }
        }else{
            // set response code - 400 bad request
            http_response_code(400);
            // tell the user
            echo json_encode(array("message" => "Required Fields are empty"));
        }
        
        break;
        
    default:
            // set response code - 405 bad request
            http_response_code(405);
            // tell the user
            echo json_encode(array("message" => "Invalid Method"));
            break;
}